Telegram APIMessages
messages.searchGlobal
Search for messages and peers globally
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Search for messages and peers globally
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.searchGlobal" \ -H "Content-Type: application/json" \ -d '{ "params": { "q": "string", "filter": { "_": "inputMessagesFilterEmpty" }, "minDate": 0, "maxDate": 0, "offsetRate": 0, "offsetPeer": { "_": "inputPeerEmpty" }, "offsetId": 0, "limit": 0 } }'{ "result": { "_": "messages.messages", "messages": [ { "_": "messageEmpty", "id": 0, "peerId": { "_": "peerUser", "userId": 0 } } ], "topics": [ { "_": "forumTopicDeleted", "id": 0 } ], "chats": [ { "_": "chatEmpty", "id": 0 } ], "users": [ { "_": "userEmpty", "id": 0 } ] }}